let inputObj = {
    textChoice: 'manual',
    text: '',
    textLength: '',
    readerLevel: '',
    readerCategory: ''
};

function handleTextRadioClick() {
    let textChoice = document.querySelector('input[name="text-input-option"]:checked').value;
    console.log(textChoice);
    inputObj.textChoice = textChoice;
    toggleElement('character-calculation-wrapper');
    toggleElement('manual-character-input');
}

function toggleElement(id) {
    let x = document.getElementById(id);
    if (x.style.display === "none") {
        x.style.display = "block";
    } else {
        x.style.display = "none";
    }
}

function handleTextAreaChange() {
    let value = document.getElementById("manual-text-entry").value;
    value = value.trim();
    inputObj.text = value;
    let characters = value.split(' ').join('').length;
    setCharacterLength(characters);
    document.getElementById("calculatedTextCharacters").setAttribute('value', characters)
}

function handleCharacterInputChange() {
    let value = document.getElementById("inputTextCharacters").value;
    setCharacterLength(value);
}

function setCharacterLength(characters) {
    inputObj.textLength = characters;
    console.log('Character length: ' + inputObj.textLength);
}

function calculateReadingTime() {
    if (isFormValid()) {
        let x = document.getElementById('calculate-time-element');
        x.style.display = "block";
    }
}

function isFormValid() {
    let invalidFields = 0;
    if (inputObj.textChoice === 'manual' && inputObj.text === '') {
        invalidFields++;
        document.getElementById('textarea-validation').style.display = 'block';
    } else {
        document.getElementById('textarea-validation').style.display = 'none';
    }

    if (inputObj.textChoice === 'calculated' && (inputObj.textLength === '' || inputObj.textLength === 0)) {
        invalidFields++;
        document.getElementById('textCharacters-validation').style.display = 'block';
    } else {
        document.getElementById('textCharacters-validation').style.display = 'none';
    }

    if (inputObj.readerLevel === '') {
        invalidFields++;
        document.getElementById('readerLevel-validation').style.display = 'block';
    } else {
        document.getElementById('readerLevel-validation').style.display = 'none';
    }

    if (inputObj.readerCategory === '') {
        invalidFields++;
        document.getElementById('readerCategory-validation').style.display = 'block';
    } else {
        document.getElementById('readerCategory-validation').style.display = 'none';
    }

    return invalidFields < 1

}

function showFeedbackForm() {
    let x = document.getElementById('feedback-form');
    x.style.display = "block";
}

function readerLevelChangeEvent(event) {
    console.log(event.target.value)
    inputObj.readerLevel = event.target.value;
}

function readerCategoryChangeEvent(event) {
    console.log(event.target.value)
    inputObj.readerCategory = event.target.value;
}
